/*!
 * Responsive Tables v6.1.3 (http://gergeo.se/RWD-Table-Patterns)
 * This is an awesome solution for responsive tables with complex data.
 * Authors: Nadan Gergeo <nadan@blimp.se> (www.blimp.se), Lucas Wiener <lucas@blimp.se> & "Maggie Wachs (www.filamentgroup.com)"
 * Licensed under MIT (https://github.com/nadangergeo/RWD-Table-Patterns/blob/master/LICENSE-MIT)
 */
!function(u){"use strict";var a=function(t,e){var o=this;if(this.options=e,this.$tableWrapper=null,this.$tableScrollWrapper=u(t),this.$table=u(t).find("table"),1!==this.$table.length)throw new Error("Exactly one table is expected in a .table-responsive div.");this.$tableScrollWrapper.attr("data-pattern",this.options.pattern),this.id=this.$table.prop("id")||this.$tableScrollWrapper.prop("id")||"id"+Math.random().toString(16).slice(2),this.$tableClone=null,this.$stickyTableHeader=null,this.$thead=this.$table.find("thead"),this.$hdrRows=this.$thead.find("tr"),this.$hdrCells=this.$hdrRows.first().find("th"),this.$tbody=this.$table.find("tbody"),this.$bodyRows=this.$tbody.find("tr"),this.$footRows=this.$table.find("tfoot").find("tr"),this.$bodyAndFootRows=u.merge(this.$bodyRows,this.$footRows),this.$btnToolbar=null,this.$dropdownGroup=null,this.$dropdownBtn=null,this.$dropdownContainer=null,this.$displayAllBtn=null,this.$focusGroup=null,this.$focusBtn=null,this.displayAllTrigger="display-all-"+this.id+".responsive-table",this.idPrefix=this.id+"-col-",this.headerColIndices={},this.headerRowIndices={},this.displayValue="table-cell",u("html").hasClass("lt-ie9")&&(this.displayValue="inline"),this.wrapTable(),this.createButtonToolbar(),this.buildHeaderCellIndices(),this.setupTableHeader(),this.setupBodyAndFootRows(),this.options.stickyTableHeader&&this.createStickyTableHeader(),this.$dropdownContainer.is(":empty")&&this.$dropdownGroup.hide(),this.bindClickOnRows(),this.options.sortable&&(this.$tableScrollWrapper.attr("data-sortable",!0),this.$tableScrollWrapper.attr("data-sorting-active",!0),this.makeSortableByColumns(),this.shiftKeyActive=!1,u(document).on("keydown keyup",function(t){o.shiftKeyActive=t.shiftKey})),u(window).bind("orientationchange resize "+this.displayAllTrigger,function(){o.$dropdownContainer.find("input").trigger("updateCheck"),u.proxy(o.updateSpanningCells(),o)}).trigger("resize")};a.DEFAULTS={pattern:"priority-columns",stickyTableHeader:!0,fixedNavbar:".navbar.fixed-top",addDisplayAllBtn:!0,addFocusBtn:!0,focusBtnIcon:"fa fa-crosshairs",mainContainer:window,sortable:!1,compareFunction:function(t,e,o){return t[0].localeCompare(e[0],void 0,{numeric:!0})<0?-o:o},i18n:{focus:"Focus",display:"Display",displayAll:"Display all"}},a.prototype.wrapTable=function(){this.$tableScrollWrapper.wrap('<div class="table-wrapper"/>'),this.$tableWrapper=this.$tableScrollWrapper.parent()},a.prototype.bindClickOnRows=function(){var t=this;this.options.addFocusBtn&&(this.$bodyAndFootRows.unbind("click"),this.$bodyAndFootRows.click(function(){t.focusOnRow(u(this))}))},a.prototype.createButtonToolbar=function(){var t=this;this.$btnToolbar=u('[data-responsive-table-toolbar="'+this.id+'"]'),this.$btnToolbar.addClass("btn-toolbar justify-content-between"),0===this.$btnToolbar.length&&(this.$btnToolbar=u('<div class="btn-toolbar justify-content-between" />')),this.$dropdownGroup=u('<div class="btn-group dropdown-btn-group dropdown" />'),this.$dropdownBtn=u('<button type="button" class="btn btn-sm btn-outline-primary dropdown-toggle" id="displayMenu'+this.id+'" data-bs-toggle="dropdown" aria-expanded="false">'+this.options.i18n.display+' <span class="caret"></span></button>'),this.$dropdownContainer=u('<ul class="dropdown-menu" aria-labelledby="displayMenu'+this.id+'"/>'),this.options.addFocusBtn?(this.$focusGroup=u('<div class="btn-group focus-btn-group" />'),this.$focusBtn=u('<button type="button" class="btn btn-sm btn-outline-primary">'+this.options.i18n.focus+"</button>"),this.options.focusBtnIcon&&this.$focusBtn.prepend('<span class="'+this.options.focusBtnIcon+'"></span> '),this.$focusGroup.append(this.$focusBtn),this.$btnToolbar.append(this.$focusGroup),this.$focusBtn.click(function(){t.activateFocus()})):this.$btnToolbar.append(u("<div />")),this.options.addDisplayAllBtn&&(this.$displayAllBtn=u('<button type="button" class="btn btn-sm btn-outline-primary">'+this.options.i18n.displayAll+"</button>"),this.$dropdownGroup.append(this.$displayAllBtn),this.$table.hasClass("display-all")&&this.$displayAllBtn.addClass("btn-primary"),this.$displayAllBtn.click(function(){u.proxy(t.displayAll(null,!0),t)})),this.$dropdownGroup.append(this.$dropdownBtn).append(this.$dropdownContainer),this.$btnToolbar.append(this.$dropdownGroup),this.$tableScrollWrapper.before(this.$btnToolbar)},a.prototype.clearAllFocus=function(){this.$bodyAndFootRows.removeClass("unfocused"),this.$bodyAndFootRows.removeClass("focused")},a.prototype.activateFocus=function(){this.clearAllFocus(),this.$focusBtn&&this.$focusBtn.toggleClass("btn-primary"),this.$table.toggleClass("focus-on")},a.prototype.focusOnRow=function(t){if(this.$table.hasClass("focus-on")){var e=u(t).hasClass("focused");this.clearAllFocus(),e||(this.$bodyAndFootRows.addClass("unfocused"),u(t).addClass("focused"))}},a.prototype.displayAll=function(t,e){this.$displayAllBtn&&this.$displayAllBtn.toggleClass("btn-primary",t),this.$table.toggleClass("display-all",t),this.$tableClone&&this.$tableClone.toggleClass("display-all",t),e&&u(window).trigger(this.displayAllTrigger)},a.prototype.preserveDisplayAll=function(){u(this.$table).find("th, td").css("display",this.displayValue),this.$tableClone&&u(this.$tableClone).find("th, td").css("display",this.displayValue)},a.prototype.createStickyTableHeader=function(){var e=this;e.$tableClone=e.$table.clone(),e.$tableClone.prop("id",this.id+"-clone"),e.$tableClone.find("[id]").each(function(){u(this).prop("id",u(this).prop("id")+"-clone")}),e.$tableClone.wrap('<div class="sticky-table-header"/>'),e.$stickyTableHeader=e.$tableClone.parent(),e.$stickyTableHeader.css("height",e.$thead.height()+2),e.$table.before(e.$stickyTableHeader),u(this.options.mainContainer).on("scroll",function(t){e.updateStickyTableHeader()}),u(window).on("resize",function(t){e.updateStickyTableHeader()}),u(e.$tableScrollWrapper).on("scroll",function(t){e.updateStickyTableHeader()}),e.useFixedSolution=!o()||8<=function(){{if(o()){var t=parseFloat((""+(/CPU.*OS ([0-9_]{1,5})|(CPU like).*AppleWebKit.*Mobile/i.exec(navigator.userAgent)||[0,""])[1]).replace("undefined","3_2").replace("_",".").replace("_",""));return t}return 0}}(),e.useFixedSolution?e.$tableScrollWrapper.addClass("fixed-solution"):e.$tableScrollWrapper.addClass("absolute-solution")},a.prototype.updateStickyTableHeader=function(){var t,e=this,o=0,i=e.$table.offset().top,s=u(this.options.mainContainer).scrollTop()-1,a=e.$table.height()-e.$stickyTableHeader.height(),n=s+u(this.options.mainContainer).height()-u(document).height(),l=0;u(e.options.fixedNavbar).length&&(s+=l=u(e.options.fixedNavbar).first().outerHeight());if(t=this.options.mainContainer===window?i<s&&s<i+e.$table.height():i<=0&&-i<e.$table.height(),e.useFixedSolution){if(e.$stickyTableHeader.scrollLeft(e.$tableScrollWrapper.scrollLeft()),o=l-1,this.options.mainContainer===window&&a<s-i?(o-=s-i-a,e.$stickyTableHeader.addClass("border-radius-fix")):this.options.mainContainer!==window&&a<-i?(o-=-i-a,e.$stickyTableHeader.addClass("border-radius-fix")):e.$stickyTableHeader.removeClass("border-radius-fix"),t)return void e.$stickyTableHeader.css({visibility:"visible",top:o+"px",width:e.$tableScrollWrapper.innerWidth()+"px"});e.$stickyTableHeader.css({visibility:"hidden",width:"auto"})}else{(o=this.options.mainContainer===window?s-i-1:-i-1)<0?o=0:a<o&&(o=a),this.options.mainContainer===window&&0<n&&(o-=n),t?(e.$stickyTableHeader.css({visibility:"visible"}),e.$stickyTableHeader.animate({top:o+"px"},400),e.$thead.css({visibility:"hidden"})):e.$stickyTableHeader.animate({top:"0"},400,function(){e.$thead.css({visibility:"visible"}),e.$stickyTableHeader.css({visibility:"hidden"})})}},a.prototype.setupTableHeader=function(){var l=this,r=0;l.$hdrCells.each(function(t){var e=u(this),o=e.prop("id"),i=e.text();o||(o=l.idPrefix+t,e.prop("id",o)),""===i&&(i=e.attr("data-col-name")),e.attr("data-pos-x",t+r);var s=parseInt(e.prop("colSpan"));if(1<s&&(r+=s-1),e.is("[data-priority]")&&-1!==e.data("priority")){var a=u('<li class="checkbox-row"><input type="checkbox" name="toggle-'+o+'" id="toggle-'+o+'" value="'+o+'" /> <label for="toggle-'+o+'">'+i+"</label></li>"),n=a.find("input");l.$dropdownContainer.append(a),a.click(function(t){t.stopPropagation(),n.prop("checked",!n.prop("checked")),n.trigger("change")}),u("html").hasClass("lt-ie9")&&n.click(function(){u(this).trigger("change")}),a.find("label").click(function(t){t.stopPropagation()}),a.find("input").click(function(t){t.stopPropagation()}).change(function(){var o=u(this),t=o.val(),e=l.$tableWrapper.find("#"+t+", #"+t+"-clone, [data-columns~="+t+"]");l.$table.hasClass("display-all")&&(u.proxy(l.preserveDisplayAll(),l),l.$table.removeClass("display-all"),l.$tableClone&&l.$tableClone.removeClass("display-all"),l.$displayAllBtn.removeClass("btn-primary")),e.each(function(){var t=u(this);if(o.is(":checked")){if(!t.closest("thead").length&&"none"!==t.css("display")){var e=Math.min(parseInt(t.prop("colSpan"))+1,t.attr("data-org-colspan"));t.prop("colSpan",e)}t.css("display",l.displayValue)}else!t.closest("thead").length&&1<parseInt(t.prop("colSpan"))?t.prop("colSpan",parseInt(t.prop("colSpan"))-1):t.hide()})}).bind("updateCheck",function(){"none"!==e.css("display")?u(this).prop("checked",!0):u(this).prop("checked",!1)})}}),u.isEmptyObject(this.headerRowIndices)||l.setupRow(this.$thead.find("tr:eq(1)"),this.headerRowIndices,1),this.$hdrRows.first().attr("data-pos-y",0)},a.prototype.setupBodyAndFootRows=function(){var e=this;e.$tbody=e.$table.find("tbody"),e.$bodyRows=e.$tbody.find("tr"),e.$footRows=e.$table.find("tfoot").find("tr"),e.$bodyRows.each(function(t){e.setupRow(u(this),e.headerColIndices,t)}),e.$footRows.each(function(t){e.setupRow(u(this),e.headerColIndices,t)})},a.prototype.setupRow=function(l,r,t){var d=this;if(!l.data("setup")){l.data("setup",!0),l.attr("data-pos-y",t);var p=0;l.find("th, td").each(function(t){var e=u(this),o="",i=e.prop("colSpan");e.attr("data-org-colspan",i),1<i&&e.addClass("spn-cell");for(var s=p;s<p+i;s++){o=o+" "+d.idPrefix+r[s];var a=d.$table.find("#"+d.idPrefix+r[s]).attr("data-priority");a&&e.attr("data-priority",a)}o=o.substring(1),e.attr("data-columns",o);var n=0;if("THEAD"===l.parent().prop("tagName")&&"1"===l.attr("data-pos-y")&&d.rowspansBeforeIndex)n=d.rowspansBeforeIndex[t]||0;e.attr("data-pos-x",t+n),p+=i})}},a.prototype.buildHeaderCellIndices=function(){var a=this,n={};this.headerColIndices={},this.headerRowIndices={};var l=0,r=0;if(this.$hdrCells.each(function(t){for(var e=u(this),o=e.prop("colSpan"),i=e.prop("rowSpan"),s=0;s<o;s++)a.headerColIndices[l+t+s]=t,0<=l+t+s&&(n[l+t+s-r]=r);1<i&&r++,l+=o-1}),2===this.$hdrRows.length)u(this.$hdrRows[1]).find("th").each(function(t){a.headerRowIndices[t]=a.headerColIndices[n[t]+t],a.rowspansBeforeIndex=n});else if(2<this.$hdrRows.length)throw new Error("This plugin doesnt support more than two rows in thead.")},a.prototype.update=function(){this.$bodyAndFootRows=this.$table.find("tbody, tfoot").find("tr"),this.setupBodyAndFootRows(),this.bindClickOnRows(),this.$tableClone.find("tbody, tfoot").remove();var t=this.$bodyAndFootRows.clone();t.find("[id]").each(function(){u(this).prop("id",u(this).prop("id")+"-clone")}),t.appendTo(this.$tableClone),this.$dropdownContainer.find("input").trigger("change")},a.prototype.updateSpanningCells=function(){var a=this;a.$table.find(".spn-cell").each(function(){for(var t=u(this),e=t.attr("data-columns").split(" "),o=e.length,i=0,s=0;s<o;s++)"none"===u("#"+e[s]).css("display")&&i++;i!==o?t.css("display",a.displayValue):t.hide(),t.prop("colSpan",Math.max(o-i,1))})},a.prototype.getSortedColumn=function(t,o){for(var e,i=this,s=0;s<t.length;s++)t[s]=[t[s],s];i.options.compareFunction instanceof Function&&(e=function(t,e){return i.options.compareFunction(t,e,o)}),t.sort(e),t.indices=[];for(var a=0;a<t.length;a++)t.indices.push(t[a][1]),t[a]=t[a][0];return t},a.prototype.getRestoredColumn=function(t){for(var e=0;e<t.length;e++)t[e]=[t[e],e,u(t[e]).attr("data-pos-y")];t.sort(function(t,e){return t[2].localeCompare(e[2],void 0,{numeric:!0})<0?-1:1}),t.indices=[];for(var o=0;o<t.length;o++)t.indices.push(t[o][1]),t[o]=t[o][0];return t};a.prototype.sortColumn=function(t,e){var o,i=this,s=i.$tbody,a=Number.isInteger(t)?i.$thead.find("th[data-pos-x="+t+"]"):u(t),n=a.prop("id"),l=n.indexOf("-clone")===n.length-6?u("#"+n.slice(0,n.length-6)):u("#"+u(t).prop("id")+"-clone"),r=s.find("tr"),d=a.data("pos-x"),p=r.find("[data-pos-x="+d+"]"),h=a.attr("data-sorted");i.$allHdrCells||(i.$hdrCellsClones=i.$tableClone?i.$tableClone.find("thead > tr > th"):[],i.$allHdrCells=u.merge(this.$hdrRows.find("th"),i.$hdrCellsClones)),i.$allHdrCells.filter("[data-sorted]").each(function(){u(this).removeAttr("data-sorted")}),i.shiftKeyActive&&"desc"===h||!h&&!i.shiftKeyActive||1===e?(a.attr("data-sorted","asc"),l.attr("data-sorted","asc"),o=1):i.shiftKeyActive&&!h||"asc"===h&&!i.shiftKeyActive||-1===e?(a.attr("data-sorted","desc"),l.attr("data-sorted","desc"),o=-1):(i.shiftKeyActive&&"asc"===h||"desc"===h&&!i.shiftKeyActive||0===e)&&(a.removeAttr("data-sorted"),l.removeAttr("data-sorted"),o=0),p=0!==o?(p=p.map(function(t,e){return u(e).attr("data-value")||e.innerText}).get(),i.getSortedColumn(p,o)):i.getRestoredColumn(r.get());for(var c=0;c<p.length;c++)r.eq(p.indices[c]).clone().appendTo(s);for(c=0;c<p.length;c++)r.eq(c).remove();i.$bodyAndFootRows=i.$table.find("tbody, tfoot").find("tr"),i.bindClickOnRows()},a.prototype.makeSortableByColumns=function(){var e=this;e.$hdrCellsClones=e.$tableClone?e.$tableClone.find("thead > tr > th"):[],e.$allHdrCells=u.merge(this.$hdrRows.find("th"),e.$hdrCellsClones),e.$allHdrCells.each(function(t){1<u(this).prop("colSpan")||u(this).click(function(){e.sortColumn(this)})})};var t=u.fn.responsiveTable;function o(){return!!(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPad/i)||navigator.userAgent.match(/iPod/i))}u.fn.responsiveTable=function(i,s){return this.each(function(){var t=u(this),e=t.data("responsiveTable"),o=u.extend({},a.DEFAULTS,t.data(),"object"==typeof i&&i);""!==o.pattern&&(e||t.data("responsiveTable",e=new a(this,o)),"string"==typeof i&&e[i].apply(e,s))})},u.fn.responsiveTable.Constructor=a,u.fn.responsiveTable.noConflict=function(){return u.fn.responsiveTable=t,this},u(document).on("ready.responsive-table.data-api",function(){u(".table-responsive[data-pattern]").each(function(){var t=u(this);t.responsiveTable(t.data())})}),u(document).on("click.dropdown.data-api",".dropdown-menu .checkbox-row",function(t){t.stopPropagation()}),u(document).ready(function(){u("html").removeClass("no-js").addClass("js"),void 0!==window.matchMedia||void 0!==window.msMatchMedia||void 0!==window.styleMedia?u("html").addClass("mq"):u("html").addClass("no-mq"),"ontouchstart"in window?u("html").addClass("touch"):u("html").addClass("no-touch")})}(jQuery);